org.apache.velocity.tools.generic

## Class FieldTool.FieldToolSub

- java.lang.Object
- - org.apache.velocity.tools.generic.FieldTool.FieldToolSub

Enclosing class:
  FieldTool

    public static class FieldTool.FieldToolSub
    extends Object

Holds a `Map` of results for a particular class. This exists simply to enable the $field.in("class.Name").FOO syntax, even when storeDynamicLookups is set to false. NOTE: we can't simply return the results Map when the in() methods are called, because the Map contains placeholders for any mutable fields found. We want to put off reading non-final field values to the last moment, in case their values change.

### Constructor Summary

Constructors
Constructor and Description
`FieldToolSub(Map<String,Object> results)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `get(String name)`
`String` `toString()` Return the toString() value of the internal results Map for this sub.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FieldToolSub

    public FieldToolSub(Map<String,Object> results)

### Method Detail

#### get

    public Object get(String name)

#### toString

    public String toString()

Return the toString() value of the internal results Map for this sub.

Overrides:
  `toString` in class `Object`